=== debian/control ===
Source: ros-one-franka-visualization
Section: misc
Priority: optional
Maintainer: Franka Robotics GmbH <support@franka.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-libfranka, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://wiki.ros.org/franka_visualization
Standards-Version: 3.9.2

Package: ros-one-franka-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-franka-description, ros-one-libfranka, ros-one-roscpp, ros-one-sensor-msgs, ros-one-xacro
Description: This package contains visualization tools for Franka Robotics.
